curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/transcription/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "<string>",
"model": "<string>",
"tier": "<string>",
"profanity_filter": true,
"punctuate": true,
"endpointing": 123,
"redact": true,
"extra": {},
"includeRawResponse": true,
"instanceId": "<string>",
"participants": [
"<string>"
],
"transcription_geo": "global"
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/transcription/start"
payload = {
"language": "<string>",
"model": "<string>",
"tier": "<string>",
"profanity_filter": True,
"punctuate": True,
"endpointing": 123,
"redact": True,
"extra": {},
"includeRawResponse": True,
"instanceId": "<string>",
"participants": ["<string>"],
"transcription_geo": "global"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: '<string>',
model: '<string>',
tier: '<string>',
profanity_filter: true,
punctuate: true,
endpointing: 123,
redact: true,
extra: {},
includeRawResponse: true,
instanceId: '<string>',
participants: ['<string>'],
transcription_geo: 'global'
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/transcription/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": "true"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Room Transcription Start
Start a transcription in a room
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
This field is deprecated, use model instead
See Deepgram's documentation for profanity filter
See Deepgram's documentation for endpointing
Specify any Deepgram parameters. See Deepgram's documentation for available streaming options
Whether Deepgram's raw response should be included in all transcription messages
A developer provided ID of an instance, which is used for multi-instance transcription.
A list of participant IDs to be transcribed. Only the participant IDs included in this array will be processed.
The geographic region where transcription is processed. Set to eu to ensure transcription data stays within the European Union.
global, eu Response
200